ICC-4c C# SDK

Public Member Functions | Protected Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.Icc4CPwmDeviceTransporter Class Reference
Inheritance diagram for ICC4cPwmSdk.Device.Icc4CPwmDeviceTransporter:

## Public Member Functions
| Icc4CPwmDeviceTransporter (bool isEthernetConnection)
bool | Connect (IIpAddressPortPair ipPair)
string | GetProductSerialNumber (EChannel channel)
byte[] | GetDeviceEepromBytes (EChannel channel, int index, int length)
void | SetInputSignalStaticInputCurrent (EChannel channel, float value)
void | SetInputSignalVectorPatternUnitType (EChannel channel, EICC4cPwmUnitType unitType)
void | SetInputSignalVectorPatternSamplingFrequency (EChannel channel, float samplingFrequency)
bool | SetInputSignalVectorPatternValues (EChannel channel, IList< float > values, int requiredStartIndex, bool isSecondPart)
bool[] | GetInputSignalVectorPatternRunning (EChannel[] channels)
void | ReparseDeviceEeprom (EChannel channel)
void | LockDeviceEepromWriting (EChannel channel)
void | UnlockDeviceEepromWriting (EChannel channel)
void | SetDeviceEepromBytes (EChannel channel, int index, byte[] bytes)
List< EConnectedDeviceType > | GetProductType (params EChannel[] channels)
List< EConnectedDeviceType > | GetConnectedDeviceTypes ()
float | GetDeviceTemperatureThreshold (EChannel channel)
void | SetDeviceTemperatureThreshold (EChannel channel, float temperatureThreshold)
float | GetBoardOutputTemperatureThreshold ()
void | SetBoardOutputTemperatureThreshold (float temperatureThreshold)
float | ReadBoardOutputTemperature ()
float | GetBoardPowerTemperatureThreshold ()
void | SetBoardPowerTemperatureThreshold (float temperatureThreshold)
float | ReadBoardPowerTemperature ()
float | GetInputSignalStaticInputCurrent (EChannel channel)
void | SetInputSignalStaticInputFocalPower (EChannel channel, float value)
EInputSignalStageSystem | GetInputSignalStageSystem (EChannel channel)
float | GetInputSignalStaticInputFocalPower (EChannel channel)
void | SetInputSignalSignalGeneratorRunning (EChannel channel, bool value)
SignalGeneratorParametersDto | GetSignalGeneratorParameters (EChannel channel)
void | SetInputSignalSignalGeneratorUnit (EChannel channel, EICC4cPwmUnitType unitType)
void | SetInputSignalSignalGeneratorAmplitude (EChannel channel, float value)
void | SetInputSignalSignalGeneratorFrequency (EChannel channel, float value)
void | SetInputSignalSignalGeneratorOffset (EChannel channel, float value)
void | SetInputSignalSignalGeneratorPhaseDelay (EChannel channel, float value)
void | SetInputSignalSignalGeneratorShape (EChannel channel, ESignalGeneratorShape value)
void | SetSignalGeneratorParameters (EChannel channel, SignalGeneratorParametersDto parameters)
void | SetInputConditioningOffsetAndScaleOffset (EChannel channel, float offset)
void | SetInputConditioningOffsetAndScaleScale (EChannel channel, float scale)
float | GetInputConditioningOffsetAndScaleOffset (EChannel channel)
float | GetInputConditioningOffsetAndScaleScale (EChannel channel)
EIcc4cControlModeSystems | GetControlModeStageSystem (EChannel channel)
void | SetControlModeStageSystem (EChannel channel, EIcc4cControlModeSystems system)
InputOutputCurrentAndVoltageDto | GetBoardInputOutputCurrentAndVoltage ()
float | GetMinimumCurrent (EChannel channel)
float | GetMaximumCurrent (EChannel channel)
void | SetFrontEndVoltage (float frontEndVoltage)
float | GetFrontEndVoltage ()
EChannel | GetEepromActiveChannel ()
void | SetEepromActiveChannel (EChannel channel)
int | GetEepromVersion (EChannel channel)
int | GetEepromSubversion (EChannel channel)
int | GetEepromPartConfiguration (EChannel channel)
int | GetPartConfigurationVersion (EChannel channel)
int | GetOqcResult (EChannel channel)
uint | GetProductionTimeStamp (EChannel channel)
int | GetDeviceEepromSize (EChannel channel)
List< float > | GetInputSignalVectorPatternValues (EChannel channel)
override bool | IsConnected ()
override byte[] | SendMessageWithResponseLocked (byte[] message, int responseLength)
EICC4cPwmUnitType | GetInputSignalVectorPatternUnitType (EChannel channel)
float | GetInputSignalVectorPatternSamplingFrequency (EChannel channel)
float | GetInputSignalVectorPatternMinimumSamplingFrequency (EChannel channel)
float | GetInputSignalVectorPatternMaximumSamplingFrequency (EChannel channel)
int | GetInputSignalVectorPatternCycles (EChannel channel)
void | SetInputSignalVectorPatternCycles (EChannel channel, int cycles)
EExternalTriggerType | GetInputSignalVectorPatternExternalTrigger (EChannel channel)
void | SetInputSignalVectorPatternExternalTrigger (EChannel channel, EExternalTriggerType triggerType)
EICC4cPwmUnitType | GetInputSignalSignalGeneratorUnit (EChannel channel)
bool | GetInputSignalSignalGeneratorRunning (EChannel channel)
ESignalGeneratorShape | GetInputSignalSignalGeneratorShape (EChannel channel)
float | GetInputSignalSignalGeneratorFrequency (EChannel channel)
float | GetInputSignalSignalGeneratorAmplitude (EChannel channel)
float | GetInputSignalSignalGeneratorOffset (EChannel channel)
float | GetInputSignalSignalGeneratorPhaseDelay (EChannel channel)
int | GetInputSignalSignalGeneratorCycles (EChannel channel)
void | SetInputSignalSignalGeneratorCycles (EChannel channel, int cycles)
float | GetInputSignalSignalGeneratorDutyCycles (EChannel channel)
void | SetInputSignalSignalGeneratorDutyCycles (EChannel channel, float dutyCycles)
bool | GetInputSignalSignalGeneratorExternalTrigger (EChannel channel)
void | SetInputSignalSignalGeneratorExternalTrigger (EChannel channel, bool trigger)
void | ResetFirmware ()
bool | GetFrontEndPowerState ()
List< byte > | GetI2CList (EChannel channel)
void | SetFontEndPowerState (bool state)
EPwmFrequency | GetOutputStagePwmFrequency ()
void | SetOutputStagePwmFrequency (EPwmFrequency frequency)
bool | GetOutputStageEnabled (EChannel channel)
void | SetOutputStageEnabled (EChannel channel, bool enabled)
float | GetAdcI (EChannel channel)
float | GetAdcV (EChannel channel)
int | GetDevPower (EChannel channel)
void | SetDevPower (EChannel channel, int power)
float | GetUin ()
float | GetIin ()
float | GetUfe ()
float | GetResistance (EChannel channel)
float | GetAnalogIn (EChannel channel)
EAutoConfig | GetAutoConfig ()
void | SetGpioState (int value)
int | GetGpioState ()
void | SetInputInterface (EInputInterFace value)
EInputInterFace | GetInputInterface ()
void | SetDeviceDetectOverrideVirtualSwitches (bool channel0, bool channel1, bool channel2, bool channel3)
bool[] | GetDeviceDetectOverrideVirtualSwitches ()
ESlaveNumberOfRegisters | GetSlaveNumberOfRegisters ()
void | SetSlaveNumberOfRegisters (ESlaveNumberOfRegisters numberOfRegisters)
ChannelsIoutVout | GetChannelsIoutVout ()
void | SetAutoConfig (EAutoConfig autoConfig)
string | GetBoardIpAddress ()
string | GetBoardIpSubnetMask ()
string | GetBoardIpDns ()
string | GetBoardIpGateway ()
EPwmFrequency | GetBoardEepromPwmFrequency ()
int | GetDeviceDetectChannelMask ()
long | GetCalibrationTimeStamp ()
void | SetFeVoltage (float value)
int | GetBoardEepromVersion ()
int | GetBoardEepromSubVersion ()
int | GetBoardPartConfiguration ()
int | GetBoardPartConfigurationVersion ()
string | GetBoardMacAddress ()
void | SetBoardIpSubnetMask (string value)
void | SetBoardIpDns (string value)
void | SetBoardIpGateway (string value)
void | SetBoardIpv6SubnetMask (string value)
void | SetBoardIpv6Dns (string value)
void | SetBoardIpv6Gateway (string value)
void | SetBoardIpAddress (string value)
string | GetBoardIpV6Address ()
string | GetBoardIpv6SubnetMask ()
string | GetBoardIpv6Dns ()
string | GetBoardIpv6Gateway ()
void | SetBoardIpV6Address (string value)
int | GetBoardTcpIpPort ()
void | SetBoardTcpIpPort (int value)
int | GetBoardUdpPort ()
void | SetBoardUdpPort (int value)
bool | IsDhcpEnabled ()
void | SetDhcpEnabled (bool enabled)
byte | GetBoardI2CSlaveAddress ()
void | SetI2CSlaveAddress (byte value)
bool | IsFeAutostartEnabled ()
void | SetFeAutostart (bool enabled)
float | GetFeVoltage ()
void | SetBoardEepromPwmFrequency (EPwmFrequency frequency)
void | SetDeviceDetectChannelMask (int value)
int | GetDevice3V3StateChannelMask ()
void | SetDevice3V3StateChannelMask (int value)
int | ReadNumberOfAvailableSnapshots ()
int | ReadSnapshotManagerErrorValue ()
int | ReadSnapshotManagerErrorSystemId ()
int | ReadSnapshotManagerErrorRegisterId ()
int | ReadStartupSnapshotNumber ()
void | WriteStartupSnapshotNumber (int snapshotNumber)
void | SaveMemoryPersistence ()
int | GetLoggedRegisterAddress (int registerNumber)
void | SetLoggedRegisterAddress (int registerNumber, ushort registerAddress)
void | StartLogger ()
void | StopLogger ()
bool | IsLoggerRunning ()
float | GetLoggerSamplingRate ()
void | SetLoggerSamplingRate (float samplingRate)
float | GetLoggerMinimumSamplingRate ()
float | GetLoggerMaximumSamplingRate ()
float[] | ReadLoggerRegisterLog (int registerNumber, int startIndex, int numberOfLoggedValues)
float | GetLensCompensationOutputCurrent (EChannel channel)
float | GetLensCompensationOutputDiopter (EChannel channel)
void | SetAnalogInputCurrentMax (EChannel channel, float value)
void | SetAnalogInputCurrentMin (EChannel channel, float value)
float | GetAnalogInputCurrentMax (EChannel channel)
float | GetAnalogInputCurrentMin (EChannel channel)
void | SetAnalogInputDiopterMax (EChannel channel, float value)
void | SetAnalogInputDiopterMin (EChannel channel, float value)
float | GetAnalogInputDiopterMax (EChannel channel)
float | GetAnalogInputDiopterMin (EChannel channel)
CurrentLimitsDto | GetMinimumAndMaximumCurrent (EChannel channel)
void | SetAnalogInputVoltagePoints (EChannel channel, float[] voltages)
void | SetAnalogInputValuePoints (EChannel channel, float[] values)
void | SetAnalogInputType (EChannel channel, EICC4cPwmUnitType type)
void | SetLinearOutputStageCurrentLimit (EChannel channel, float value)
void | SetLinearOutputStageAverageLimitPeriod (EChannel channel, float value)
void | SetLinearOutputStageAverageLimitSum (EChannel channel, float value)
void | SetLinearOutputStageCooldownPeriod (EChannel channel, float value)
float | GetLinearOutputStageCurrentLimit (EChannel channel)
float | GetLinearOutputStageCooldownPeriod (EChannel channel)
float | GetLinearOutputStageAverageLimitSum (EChannel channel)
float | GetLinearOutputStageAverageLimitPeriod (EChannel channel)
void | SetLinearOutputStageOutputDisabled (EChannel channel, bool value)
bool | GetLinearOutputStageOutputDisabled (EChannel channel)
bool | GetExternalTriggerGpioEnabled (EChannel channel)
void | SetExternalTriggerGpioEnabled (EChannel channel, bool enabled)
void | SetAnalogInputExtrapolation (EChannel channel, EExtrapolationType extrapolation)
int | GetMcuOverloadCounter ()
int | GetMcuLoad ()
void | SetMinMaxCurrentOnChannel (EChannel channel, float minimumCurrent, float maximumCurrent)
void | SetInputSignalSignalGeneratorStairNumber (EChannel channel, int value)
int | GetInputSignalSignalGeneratorStairNumber (EChannel channel)
float | GetMinLimitForRedFlag (EChannel channel)
float | GetMinLimitForYellowFlag (EChannel channel)
float | GetMaxLimitForYellowFlag (EChannel channel)
float | GetMaxLimitForRedFlag (EChannel channel)
float | GetMaxLimitForScrollingFlag (EChannel channel)
float | GetMinLimitForScrollingFlag (EChannel channel)
float | GetGuaranteedTemperatureMax (EChannel channel)
float | GetGuaranteedTemperatureMin (EChannel channel)
void | SetGuaranteedTemperatureMax (EChannel channel, float value)
void | SetGuaranteedTemperatureMin (EChannel channel, float value)
void | SetInputSignalVectorPatternRunning (EChannel[] channels, bool[] running)
void | SetInputSignalStageSystem (EChannel channel, EInputSignalStageSystem system)
float | ReadDeviceTemperature (EChannel channel)
Public Member Functions inherited from ICC4cPwmSdk.Device.IIcc4CPwmDeviceTransporter
IDeviceErrorState[] | GetDeviceErrorStates ()
void | ResetErrorFlags ()
bool | GoToDfuMode ()
bool | ChangeModeToPro ()
bool | ChangeModeToSimple ()
int | GetBoardFirmwareId ()
int | GetBoardFirmwareBranch ()
char | GetBoardFirmwareType ()
int | GetBoardFirmwareMajorVersion ()
int | GetBoardFirmwareMinorVersion ()
int | GetBoardFirmwareRevisionVersion ()
int | GetBoardFirmwareBuildVersion ()
string | GetFirmwareSerialNumber ()
string | GetGitHeadSha1 ()
void | LoadSnapshot (int snapshotNumber)
bool | SaveSnapshot (int snapshotNumber)

## Protected Member Functions
override ILoggerRegister< TRegisters >[] | GetLoggerRegisters< TRegisters > ()

## Properties
override IEnumerable< IDeviceErrorState > | SpecificDeviceErrorList`[get]`

The documentation for this class was generated from the following file:

- Device/Icc4CPwmDeviceTransporter.cs